Subject: Re: bug#31923: FAIL: t0501-duplicate on Alpine Linux s390x

From: Phillip Susi <[email-masked]>
Date: Thu, 21 Jun 2018 09:29:42 -0400

On 6/21/2018 4:17 AM, Natanael Copa wrote:
> A wild guess is that xbsd_dkcksum does not work properly on big endian
> machines.

It looks like it handles endianess correctly, but I did notice that it
is using something called "u_short" instead of uint16_t.  I wonder if on
your machine "u_short" isn't 16 bits?  Try changing it to uint16_t.